package org.infinispan.cache.impl;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.886207Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.cache.impl.SimpleCacheImpl
      builder.registerComponentAccessor("org.infinispan.cache.impl.SimpleCacheImpl",
         Collections.emptyList(),
         new ComponentAccessor<SimpleCacheImpl>("org.infinispan.cache.impl.SimpleCacheImpl",
            1, false, null,
            Arrays.asList("org.infinispan.factories.ComponentRegistry", "org.infinispan.configuration.cache.Configuration", "org.infinispan.manager.EmbeddedCacheManager", "org.infinispan.container.impl.InternalDataContainer", "org.infinispan.notifications.cachelistener.CacheNotifier", "org.infinispan.commons.time.TimeService")) {
         protected void wire(SimpleCacheImpl instance, WireContext context, boolean start) {
            instance.componentRegistry = context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start);
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
            instance.cacheManager = context.get("org.infinispan.manager.EmbeddedCacheManager", org.infinispan.manager.EmbeddedCacheManager.class, start);
            instance.dataContainer = context.get("org.infinispan.container.impl.InternalDataContainer", org.infinispan.container.impl.InternalDataContainer.class, start);
            instance.cacheNotifier = context.get("org.infinispan.notifications.cachelistener.CacheNotifier", org.infinispan.notifications.cachelistener.CacheNotifier.class, start);
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.cache.impl.SimpleCacheImpl",
         MBeanMetadata.of("Cache", "Component that represents a simplified cache instance.", null,
            new AttributeMetadata("cacheStatus", "Returns the cache status", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("cacheName", "Returns the cache name", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("version", "Returns the version of Infinispan", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("configurationAsProperties", "Returns the cache configuration in form of properties", false, true, "java.util.Properties", false, null, null),
            new OperationMetadata("start", "", "Starts the cache.", "void"
            ),
            new OperationMetadata("stop", "", "Stops the cache.", "void"
            ),
            new OperationMetadata("clear", "clear", "Clears the cache", "void"
            )
      ));

//start org.infinispan.cache.impl.EncoderValueMapper
      builder.registerComponentAccessor("org.infinispan.cache.impl.EncoderValueMapper",
         Collections.emptyList(),
         new ComponentAccessor<EncoderValueMapper>("org.infinispan.cache.impl.EncoderValueMapper",
            2, false, null,
            Arrays.asList("org.infinispan.factories.ComponentRegistry")) {
         protected void wire(EncoderValueMapper instance, WireContext context, boolean start) {
            instance.injectDependencies(
               context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start));
         }

      });

//start org.infinispan.cache.impl.StatsCollectingCache
      builder.registerComponentAccessor("org.infinispan.cache.impl.StatsCollectingCache",
         Collections.emptyList(),
         new ComponentAccessor<StatsCollectingCache>("org.infinispan.cache.impl.StatsCollectingCache",
            1, false, "org.infinispan.cache.impl.SimpleCacheImpl",
            Arrays.asList("org.infinispan.stats.impl.StatsCollector", "org.infinispan.commons.time.TimeService")) {
         protected void wire(StatsCollectingCache instance, WireContext context, boolean start) {
            instance.statsCollector = context.get("org.infinispan.stats.impl.StatsCollector", org.infinispan.stats.impl.StatsCollector.class, start);
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.cache.impl.StatsCollectingCache",
         MBeanMetadata.of("Cache", "Component that represents a simplified cache instance.", "org.infinispan.cache.impl.SimpleCacheImpl"
      ));

//start org.infinispan.cache.impl.EncoderCache
      builder.registerComponentAccessor("org.infinispan.cache.impl.EncoderCache",
         Collections.emptyList(),
         new ComponentAccessor<EncoderCache>("org.infinispan.cache.impl.EncoderCache",
            1, false, null,
            Arrays.asList("org.infinispan.container.impl.InternalEntryFactory", "org.infinispan.factories.impl.BasicComponentRegistry")) {
         protected void wire(EncoderCache instance, WireContext context, boolean start) {
            instance.entryFactory = context.get("org.infinispan.container.impl.InternalEntryFactory", org.infinispan.container.impl.InternalEntryFactory.class, start);
            instance.componentRegistry = context.get("org.infinispan.factories.impl.BasicComponentRegistry", org.infinispan.factories.impl.BasicComponentRegistry.class, start);
            instance.wireRealCache(
);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.cache.impl.EncoderCache",
         MBeanMetadata.of("Cache", "Component that represents an individual cache instance.", "org.infinispan.cache.impl.AbstractDelegatingAdvancedCache"
      ));

//start org.infinispan.cache.impl.FunctionMapper
      builder.registerComponentAccessor("org.infinispan.cache.impl.FunctionMapper",
         Collections.emptyList(),
         new ComponentAccessor<FunctionMapper>("org.infinispan.cache.impl.FunctionMapper",
            2, false, null,
            Arrays.asList("org.infinispan.factories.ComponentRegistry")) {
         protected void wire(FunctionMapper instance, WireContext context, boolean start) {
            instance.injectDependencies(
               context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start));
         }

      });

//start org.infinispan.cache.impl.AbstractDelegatingAdvancedCache
      builder.registerMBeanMetadata("org.infinispan.cache.impl.AbstractDelegatingAdvancedCache",
         MBeanMetadata.of("Cache", "Component that represents an individual cache instance.", "org.infinispan.cache.impl.AbstractDelegatingCache",
            new AttributeMetadata("cacheAvailability", "Returns the cache availability", true, true, "java.lang.String", false, null, null),
            new AttributeMetadata("rebalancingEnabled", "Returns whether cache rebalancing is enabled", true, true, "boolean", true, null, null)
      ));

//start org.infinispan.cache.impl.EncoderKeyMapper
      builder.registerComponentAccessor("org.infinispan.cache.impl.EncoderKeyMapper",
         Collections.emptyList(),
         new ComponentAccessor<EncoderKeyMapper>("org.infinispan.cache.impl.EncoderKeyMapper",
            2, false, null,
            Arrays.asList("org.infinispan.factories.ComponentRegistry")) {
         protected void wire(EncoderKeyMapper instance, WireContext context, boolean start) {
            instance.injectDependencies(
               context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start));
         }

      });

//start org.infinispan.cache.impl.InvocationHelper
      builder.registerComponentAccessor("org.infinispan.cache.impl.InvocationHelper",
         Collections.emptyList(),
         new ComponentAccessor<InvocationHelper>("org.infinispan.cache.impl.InvocationHelper",
            1, false, null,
            Arrays.asList("org.infinispan.interceptors.AsyncInterceptorChain", "org.infinispan.context.InvocationContextFactory", "javax.transaction.TransactionManager", "org.infinispan.configuration.cache.Configuration", "org.infinispan.batch.BatchContainer", "org.infinispan.util.concurrent.BlockingManager")) {
         protected void wire(InvocationHelper instance, WireContext context, boolean start) {
            instance.invoker = context.get("org.infinispan.interceptors.AsyncInterceptorChain", org.infinispan.interceptors.AsyncInterceptorChain.class, start);
            instance.invocationContextFactory = context.get("org.infinispan.context.InvocationContextFactory", org.infinispan.context.InvocationContextFactory.class, start);
            instance.transactionManager = context.get("javax.transaction.TransactionManager", javax.transaction.TransactionManager.class, start);
            instance.config = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
            instance.batchContainer = context.get("org.infinispan.batch.BatchContainer", org.infinispan.batch.BatchContainer.class, start);
            instance.blockingManager = context.get("org.infinispan.util.concurrent.BlockingManager", org.infinispan.util.concurrent.BlockingManager.class, start);
         }

      });

//start org.infinispan.cache.impl.BiFunctionMapper
      builder.registerComponentAccessor("org.infinispan.cache.impl.BiFunctionMapper",
         Collections.emptyList(),
         new ComponentAccessor<BiFunctionMapper>("org.infinispan.cache.impl.BiFunctionMapper",
            1, false, null,
            Arrays.asList("org.infinispan.factories.ComponentRegistry")) {
         protected void wire(BiFunctionMapper instance, WireContext context, boolean start) {
            instance.injectDependencies(
               context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start));
         }

      });

//start org.infinispan.cache.impl.CacheImpl
      builder.registerComponentAccessor("org.infinispan.cache.impl.CacheImpl",
         Collections.emptyList(),
         new ComponentAccessor<CacheImpl>("org.infinispan.cache.impl.CacheImpl",
            1, true, null,
            Arrays.asList("org.infinispan.context.InvocationContextFactory", "org.infinispan.commands.CommandsFactory", "org.infinispan.interceptors.AsyncInterceptorChain", "org.infinispan.configuration.cache.Configuration", "org.infinispan.notifications.cachelistener.CacheNotifier", "org.infinispan.notifications.cachemanagerlistener.CacheManagerNotifier", "org.infinispan.batch.BatchContainer", "org.infinispan.factories.ComponentRegistry", "javax.transaction.TransactionManager", "org.infinispan.remoting.rpc.RpcManager", "org.infinispan.marshaller.internal", "org.infinispan.distribution.ch.KeyPartitioner", "org.infinispan.eviction.EvictionManager", "org.infinispan.expiration.impl.InternalExpirationManager", "org.infinispan.container.impl.InternalDataContainer", "org.infinispan.manager.EmbeddedCacheManager", "org.infinispan.util.concurrent.locks.LockManager", "org.infinispan.distribution.DistributionManager", "org.infinispan.transaction.impl.TransactionTable", "org.infinispan.security.AuthorizationManager", "org.infinispan.partitionhandling.impl.PartitionHandlingManager", "org.infinispan.configuration.global.GlobalConfiguration", "org.infinispan.topology.LocalTopologyManager", "org.infinispan.statetransfer.StateTransferManager", "org.infinispan.cache.impl.InvocationHelper", "org.infinispan.encoding.impl.StorageConfigurationManager")) {
         protected void wire(CacheImpl instance, WireContext context, boolean start) {
            instance.invocationContextFactory = context.get("org.infinispan.context.InvocationContextFactory", org.infinispan.context.InvocationContextFactory.class, start);
            instance.commandsFactory = context.get("org.infinispan.commands.CommandsFactory", org.infinispan.commands.CommandsFactory.class, start);
            instance.invoker = context.get("org.infinispan.interceptors.AsyncInterceptorChain", org.infinispan.interceptors.AsyncInterceptorChain.class, start);
            instance.config = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
            instance.notifier = context.get("org.infinispan.notifications.cachelistener.CacheNotifier", org.infinispan.notifications.cachelistener.CacheNotifier.class, start);
            instance.cacheManagerNotifier = context.get("org.infinispan.notifications.cachemanagerlistener.CacheManagerNotifier", org.infinispan.notifications.cachemanagerlistener.CacheManagerNotifier.class, start);
            instance.batchContainer = context.get("org.infinispan.batch.BatchContainer", org.infinispan.batch.BatchContainer.class, start);
            instance.componentRegistry = context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start);
            instance.transactionManager = context.get("javax.transaction.TransactionManager", javax.transaction.TransactionManager.class, start);
            instance.rpcManager = context.get("org.infinispan.remoting.rpc.RpcManager", org.infinispan.remoting.rpc.RpcManager.class, start);
            instance.marshaller = context.get("org.infinispan.marshaller.internal", org.infinispan.commons.marshall.StreamingMarshaller.class, start);
            instance.keyPartitioner = context.get("org.infinispan.distribution.ch.KeyPartitioner", org.infinispan.distribution.ch.KeyPartitioner.class, start);
            instance.evictionManager = context.get("org.infinispan.eviction.EvictionManager", org.infinispan.eviction.EvictionManager.class, start);
            instance.expirationManager = context.get("org.infinispan.expiration.impl.InternalExpirationManager", org.infinispan.expiration.impl.InternalExpirationManager.class, start);
            instance.dataContainer = context.get("org.infinispan.container.impl.InternalDataContainer", org.infinispan.container.impl.InternalDataContainer.class, start);
            instance.cacheManager = context.get("org.infinispan.manager.EmbeddedCacheManager", org.infinispan.manager.EmbeddedCacheManager.class, start);
            instance.lockManager = context.get("org.infinispan.util.concurrent.locks.LockManager", org.infinispan.util.concurrent.locks.LockManager.class, start);
            instance.distributionManager = context.get("org.infinispan.distribution.DistributionManager", org.infinispan.distribution.DistributionManager.class, start);
            instance.txTable = context.get("org.infinispan.transaction.impl.TransactionTable", org.infinispan.transaction.impl.TransactionTable.class, start);
            instance.authorizationManager = context.get("org.infinispan.security.AuthorizationManager", org.infinispan.security.AuthorizationManager.class, start);
            instance.partitionHandlingManager = context.get("org.infinispan.partitionhandling.impl.PartitionHandlingManager", org.infinispan.partitionhandling.impl.PartitionHandlingManager.class, start);
            instance.globalCfg = context.get("org.infinispan.configuration.global.GlobalConfiguration", org.infinispan.configuration.global.GlobalConfiguration.class, start);
            instance.localTopologyManager = context.get("org.infinispan.topology.LocalTopologyManager", org.infinispan.topology.LocalTopologyManager.class, start);
            instance.stateTransferManager = context.get("org.infinispan.statetransfer.StateTransferManager", org.infinispan.statetransfer.StateTransferManager.class, start);
            instance.invocationHelper = context.get("org.infinispan.cache.impl.InvocationHelper", org.infinispan.cache.impl.InvocationHelper.class, start);
            instance.storageConfigurationManager = context.get("org.infinispan.encoding.impl.StorageConfigurationManager", org.infinispan.encoding.impl.StorageConfigurationManager.class, start);
            instance.encoderCache = context.getLazy("org.infinispan.AdvancedCache", org.infinispan.AdvancedCache.class, start);
            instance.preStart(
);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.cache.impl.CacheImpl",
         MBeanMetadata.of("Cache", "Component that represents an individual cache instance.", null,
            new AttributeMetadata("cacheStatus", "Returns the cache status", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("cacheAvailability", "Returns the cache availability", true, true, "java.lang.String", false, null, null),
            new AttributeMetadata("rebalancingEnabled", "Returns whether cache rebalancing is enabled", true, true, "boolean", true, null, null),
            new AttributeMetadata("cacheName", "Returns the cache name", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("version", "Returns the version of Infinispan", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("configurationAsProperties", "Returns the cache configuration in form of properties", false, true, "java.util.Properties", false, null, null),
            new OperationMetadata("clearOperation", "clear", "Clears the cache", "void"
            ),
            new OperationMetadata("start", "", "Starts the cache.", "void"
            ),
            new OperationMetadata("stop", "", "Stops the cache.", "void"
            ),
            new OperationMetadata("shutdown", "", "Shuts down the cache across the cluster", "void"
            )
      ));

//start org.infinispan.cache.impl.CacheConfigurationMBean
      builder.registerComponentAccessor("org.infinispan.cache.impl.CacheConfigurationMBean",
         Collections.emptyList(),
         new ComponentAccessor<CacheConfigurationMBean>("org.infinispan.cache.impl.CacheConfigurationMBean",
            1, false, null,
            Arrays.asList("org.infinispan.configuration.cache.Configuration")) {
         protected void wire(CacheConfigurationMBean instance, WireContext context, boolean start) {
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.cache.impl.CacheConfigurationMBean",
         MBeanMetadata.of("Configuration", "Runtime cache configuration attributes", null,
            new AttributeMetadata("evictionSize", "Gets the eviction size for the cache", true, true, "long", false, (java.util.function.Function<org.infinispan.cache.impl.CacheConfigurationMBean, ?>) org.infinispan.cache.impl.CacheConfigurationMBean::getEvictionSize, null)
      ));

//start org.infinispan.cache.impl.AbstractDelegatingCache
      builder.registerMBeanMetadata("org.infinispan.cache.impl.AbstractDelegatingCache",
         MBeanMetadata.of("Cache", "Component that represents an individual cache instance.", null,
            new AttributeMetadata("cacheName", "Returns the cache name", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("version", "Returns the version of Infinispan", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("cacheStatus", "Returns the cache status", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("configurationAsProperties", "Returns the cache configuration in form of properties", false, true, "java.util.Properties", false, null, null),
            new OperationMetadata("clear", "clear", "Clears the cache", "void"
            ),
            new OperationMetadata("start", "", "Starts the cache.", "void"
            ),
            new OperationMetadata("stop", "", "Stops the cache.", "void"
            ),
            new OperationMetadata("shutdown", "", "Shuts down the cache across the cluster", "void"
            )
      ));

//start org.infinispan.cache.impl.DecoratedCache
      builder.registerMBeanMetadata("org.infinispan.cache.impl.DecoratedCache",
         MBeanMetadata.of("Cache", "Component that represents an individual cache instance.", "org.infinispan.cache.impl.AbstractDelegatingAdvancedCache"
      ));

//start org.infinispan.cache.impl.EncoderEntryMapper
      builder.registerComponentAccessor("org.infinispan.cache.impl.EncoderEntryMapper",
         Collections.emptyList(),
         new ComponentAccessor<EncoderEntryMapper>("org.infinispan.cache.impl.EncoderEntryMapper",
            1, false, null,
            Arrays.asList("org.infinispan.container.impl.InternalEntryFactory", "org.infinispan.factories.ComponentRegistry")) {
         protected void wire(EncoderEntryMapper instance, WireContext context, boolean start) {
            instance.entryFactory = context.get("org.infinispan.container.impl.InternalEntryFactory", org.infinispan.container.impl.InternalEntryFactory.class, start);
            instance.injectDependencies(
               context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start));
         }

      });

//end
   }
}
