package org.infinispan.container.offheap;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.805922Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.container.offheap.OffHeapDataContainer
      builder.registerComponentAccessor("org.infinispan.container.offheap.OffHeapDataContainer",
         Collections.emptyList(),
         new ComponentAccessor<OffHeapDataContainer>("org.infinispan.container.offheap.OffHeapDataContainer",
            1, false, "org.infinispan.container.impl.AbstractInternalDataContainer",
            Arrays.asList("org.infinispan.container.offheap.OffHeapMemoryAllocator", "org.infinispan.container.offheap.OffHeapEntryFactory")) {
         protected void wire(OffHeapDataContainer instance, WireContext context, boolean start) {
            instance.allocator = context.get("org.infinispan.container.offheap.OffHeapMemoryAllocator", org.infinispan.container.offheap.OffHeapMemoryAllocator.class, start);
            instance.offHeapEntryFactory = context.get("org.infinispan.container.offheap.OffHeapEntryFactory", org.infinispan.container.offheap.OffHeapEntryFactory.class, start);
         }

         protected void start(OffHeapDataContainer instance) throws Exception {
            instance.start();
         }

         protected void stop(OffHeapDataContainer instance) throws Exception {
            instance.stop();
         }

      });

//start org.infinispan.container.offheap.OffHeapEntryFactoryImpl
      builder.registerComponentAccessor("org.infinispan.container.offheap.OffHeapEntryFactoryImpl",
         Collections.emptyList(),
         new ComponentAccessor<OffHeapEntryFactoryImpl>("org.infinispan.container.offheap.OffHeapEntryFactoryImpl",
            1, false, null,
            Arrays.asList("org.infinispan.marshaller.internal", "org.infinispan.container.offheap.OffHeapMemoryAllocator", "org.infinispan.commons.time.TimeService", "org.infinispan.container.impl.InternalEntryFactory", "org.infinispan.configuration.cache.Configuration")) {
         protected void wire(OffHeapEntryFactoryImpl instance, WireContext context, boolean start) {
            instance.marshaller = context.get("org.infinispan.marshaller.internal", org.infinispan.commons.marshall.StreamingMarshaller.class, start);
            instance.allocator = context.get("org.infinispan.container.offheap.OffHeapMemoryAllocator", org.infinispan.container.offheap.OffHeapMemoryAllocator.class, start);
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
            instance.internalEntryFactory = context.get("org.infinispan.container.impl.InternalEntryFactory", org.infinispan.container.impl.InternalEntryFactory.class, start);
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
         }

         protected void start(OffHeapEntryFactoryImpl instance) throws Exception {
            instance.start();
         }

      });

//start org.infinispan.container.offheap.BoundedOffHeapDataContainer
      builder.registerComponentAccessor("org.infinispan.container.offheap.BoundedOffHeapDataContainer",
         Collections.emptyList(),
         new ComponentAccessor<BoundedOffHeapDataContainer>("org.infinispan.container.offheap.BoundedOffHeapDataContainer",
            1, false, "org.infinispan.container.offheap.SegmentedBoundedOffHeapDataContainer",
            Arrays.asList("org.infinispan.distribution.ch.KeyPartitioner")) {
         protected void wire(BoundedOffHeapDataContainer instance, WireContext context, boolean start) {
            instance.keyPartitioner = context.get("org.infinispan.distribution.ch.KeyPartitioner", org.infinispan.distribution.ch.KeyPartitioner.class, start);
         }

      });

//start org.infinispan.container.offheap.SegmentedBoundedOffHeapDataContainer
      builder.registerComponentAccessor("org.infinispan.container.offheap.SegmentedBoundedOffHeapDataContainer",
         Collections.emptyList(),
         new ComponentAccessor<SegmentedBoundedOffHeapDataContainer>("org.infinispan.container.offheap.SegmentedBoundedOffHeapDataContainer",
            1, false, "org.infinispan.container.impl.AbstractDelegatingInternalDataContainer",
            Arrays.asList("org.infinispan.factories.ComponentRegistry", "org.infinispan.container.offheap.OffHeapMemoryAllocator", "org.infinispan.container.offheap.OffHeapEntryFactory", "org.infinispan.eviction.EvictionManager", "org.infinispan.util.concurrent.DataOperationOrderer")) {
         protected void wire(SegmentedBoundedOffHeapDataContainer instance, WireContext context, boolean start) {
            instance.componentRegistry = context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start);
            instance.allocator = context.get("org.infinispan.container.offheap.OffHeapMemoryAllocator", org.infinispan.container.offheap.OffHeapMemoryAllocator.class, start);
            instance.offHeapEntryFactory = context.get("org.infinispan.container.offheap.OffHeapEntryFactory", org.infinispan.container.offheap.OffHeapEntryFactory.class, start);
            instance.evictionManager = context.get("org.infinispan.eviction.EvictionManager", org.infinispan.eviction.EvictionManager.class, start);
            instance.passivator = context.getLazy("org.infinispan.eviction.impl.PassivationManager", org.infinispan.eviction.impl.PassivationManager.class, start);
            instance.orderer = context.get("org.infinispan.util.concurrent.DataOperationOrderer", org.infinispan.util.concurrent.DataOperationOrderer.class, start);
         }

         protected void start(SegmentedBoundedOffHeapDataContainer instance) throws Exception {
            instance.start();
         }

         protected void stop(SegmentedBoundedOffHeapDataContainer instance) throws Exception {
            instance.stop();
         }

      });

//end
   }
}
