package org.infinispan.distribution.impl;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.837467Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.distribution.impl.L1ManagerImpl
      builder.registerComponentAccessor("org.infinispan.distribution.impl.L1ManagerImpl",
         Collections.emptyList(),
         new ComponentAccessor<L1ManagerImpl>("org.infinispan.distribution.impl.L1ManagerImpl",
            1, false, null,
            Arrays.asList("org.infinispan.configuration.cache.Configuration", "org.infinispan.remoting.rpc.RpcManager", "org.infinispan.commands.CommandsFactory", "org.infinispan.commons.time.TimeService", "org.infinispan.executors.expiration")) {
         protected void wire(L1ManagerImpl instance, WireContext context, boolean start) {
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
            instance.rpcManager = context.get("org.infinispan.remoting.rpc.RpcManager", org.infinispan.remoting.rpc.RpcManager.class, start);
            instance.commandsFactory = context.get("org.infinispan.commands.CommandsFactory", org.infinispan.commands.CommandsFactory.class, start);
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
            instance.scheduledExecutor = context.get("org.infinispan.executors.expiration", java.util.concurrent.ScheduledExecutorService.class, start);
         }

         protected void start(L1ManagerImpl instance) throws Exception {
            instance.start();
         }

         protected void stop(L1ManagerImpl instance) throws Exception {
            instance.stop();
         }

      });

//start org.infinispan.distribution.impl.DistributionManagerImpl
      builder.registerComponentAccessor("org.infinispan.distribution.impl.DistributionManagerImpl",
         Collections.emptyList(),
         new ComponentAccessor<DistributionManagerImpl>("org.infinispan.distribution.impl.DistributionManagerImpl",
            1, false, null,
            Arrays.asList("org.infinispan.remoting.transport.Transport", "org.infinispan.distribution.ch.KeyPartitioner", "org.infinispan.configuration.cache.Configuration")) {
         protected void wire(DistributionManagerImpl instance, WireContext context, boolean start) {
            instance.transport = context.get("org.infinispan.remoting.transport.Transport", org.infinispan.remoting.transport.Transport.class, start);
            instance.keyPartitioner = context.get("org.infinispan.distribution.ch.KeyPartitioner", org.infinispan.distribution.ch.KeyPartitioner.class, start);
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
         }

         protected void start(DistributionManagerImpl instance) throws Exception {
            instance.start();
         }

      });

      builder.registerMBeanMetadata("org.infinispan.distribution.impl.DistributionManagerImpl",
         MBeanMetadata.of("DistributionManager", "Component that handles distribution of content across a cluster", null,
            new OperationMetadata("isAffectedByRehash", "", "Determines whether a given key is affected by an ongoing rehash, if any.", "boolean",
               new OperationParameterMetadata("key", "java.lang.Object", "Key to check")
            ),
            new OperationMetadata("isLocatedLocally", "", "Tells you whether a given key would be written to this instance of the cache according to the consistent hashing algorithm. Only works with String keys.", "boolean",
               new OperationParameterMetadata("key", "java.lang.String", "Key to query")
            ),
            new OperationMetadata("locateKey", "", "Shows the addresses of the nodes where a write operation would store the entry associated with the specified key. Only works with String keys.", "java.util.List",
               new OperationParameterMetadata("key", "java.lang.String", "Key to locate")
            )
      ));

//end
   }
}
