package org.infinispan.eviction.impl;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.836321Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.eviction.impl.EvictionManagerImpl
      builder.registerComponentAccessor("org.infinispan.eviction.impl.EvictionManagerImpl",
         Collections.emptyList(),
         new ComponentAccessor<EvictionManagerImpl>("org.infinispan.eviction.impl.EvictionManagerImpl",
            1, false, null,
            Arrays.asList("org.infinispan.notifications.cachelistener.CacheNotifier", "org.infinispan.configuration.cache.Configuration")) {
         protected void wire(EvictionManagerImpl instance, WireContext context, boolean start) {
            instance.cacheNotifier = context.get("org.infinispan.notifications.cachelistener.CacheNotifier", org.infinispan.notifications.cachelistener.CacheNotifier.class, start);
            instance.interceptorChain = context.getLazy("org.infinispan.interceptors.AsyncInterceptorChain", org.infinispan.interceptors.AsyncInterceptorChain.class, start);
            instance.cfg = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
         }

      });

//start org.infinispan.eviction.impl.ActivationManagerStub
      builder.registerComponentAccessor("org.infinispan.eviction.impl.ActivationManagerStub",
         Collections.emptyList(),
         new ComponentAccessor<ActivationManagerStub>("org.infinispan.eviction.impl.ActivationManagerStub",
            1, true, null,
            Collections.emptyList()));

//start org.infinispan.eviction.impl.PassivationManager
      builder.registerComponentAccessor("org.infinispan.eviction.impl.PassivationManager",
         Collections.emptyList(),
         new ComponentAccessor<PassivationManager>("org.infinispan.eviction.impl.PassivationManager",
            1, false, null,
            Collections.emptyList()));

//start org.infinispan.eviction.impl.ActivationManagerImpl
      builder.registerComponentAccessor("org.infinispan.eviction.impl.ActivationManagerImpl",
         Collections.emptyList(),
         new ComponentAccessor<ActivationManagerImpl>("org.infinispan.eviction.impl.ActivationManagerImpl",
            1, false, null,
            Arrays.asList("org.infinispan.persistence.manager.PersistenceManager", "org.infinispan.configuration.cache.Configuration", "org.infinispan.distribution.DistributionManager", "org.infinispan.distribution.ch.KeyPartitioner")) {
         protected void wire(ActivationManagerImpl instance, WireContext context, boolean start) {
            instance.persistenceManager = context.get("org.infinispan.persistence.manager.PersistenceManager", org.infinispan.persistence.manager.PersistenceManager.class, start);
            instance.cfg = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
            instance.distributionManager = context.get("org.infinispan.distribution.DistributionManager", org.infinispan.distribution.DistributionManager.class, start);
            instance.keyPartitioner = context.get("org.infinispan.distribution.ch.KeyPartitioner", org.infinispan.distribution.ch.KeyPartitioner.class, start);
         }

         protected void start(ActivationManagerImpl instance) throws Exception {
            instance.start();
         }

      });

      builder.registerMBeanMetadata("org.infinispan.eviction.impl.ActivationManagerImpl",
         MBeanMetadata.of("Activation", "Component that handles activating entries that have been passivated to a CacheStore by loading them into memory.", null,
            new AttributeMetadata("activationCount", "Number of activation events", false, true, "long", false, (java.util.function.Function<org.infinispan.eviction.impl.ActivationManagerImpl, ?>) org.infinispan.eviction.impl.ActivationManagerImpl::getActivationCount, null),
            new AttributeMetadata("activations", "Number of activation events", false, true, "java.lang.String", false, null, null),
            new AttributeMetadata("statisticsEnabled", "Enables or disables the gathering of statistics by this component", true, true, "boolean", false, null, null),
            new OperationMetadata("resetStatistics", "", "Resets statistics gathered by this component", "void"
            )
      ));

//start org.infinispan.eviction.impl.AbstractPassivationManager
      builder.registerComponentAccessor("org.infinispan.eviction.impl.AbstractPassivationManager",
         Collections.emptyList(),
         new ComponentAccessor<AbstractPassivationManager>("org.infinispan.eviction.impl.AbstractPassivationManager",
            1, false, null,
            Collections.emptyList()) {
         protected void stop(AbstractPassivationManager instance) throws Exception {
            instance.passivateAll();
         }

      });

      builder.registerMBeanMetadata("org.infinispan.eviction.impl.AbstractPassivationManager",
         MBeanMetadata.of("Passivation", "Component that handles passivating entries to a CacheStore on eviction.", null,
            new AttributeMetadata("passivations", "Number of passivation events", false, true, "long", false, (java.util.function.Function<org.infinispan.eviction.impl.AbstractPassivationManager, ?>) org.infinispan.eviction.impl.AbstractPassivationManager::getPassivations, null),
            new OperationMetadata("passivateAll", "", "Passivate all entries to the CacheStore", "void"
            ),
            new OperationMetadata("resetStatistics", "", "Resets statistics gathered by this component", "void"
            )
      ));

//start org.infinispan.eviction.impl.PassivationManagerImpl
      builder.registerComponentAccessor("org.infinispan.eviction.impl.PassivationManagerImpl",
         Collections.emptyList(),
         new ComponentAccessor<PassivationManagerImpl>("org.infinispan.eviction.impl.PassivationManagerImpl",
            1, false, "org.infinispan.eviction.impl.AbstractPassivationManager",
            Arrays.asList("org.infinispan.persistence.manager.PersistenceManager", "org.infinispan.notifications.cachelistener.CacheNotifier", "org.infinispan.configuration.cache.Configuration", "org.infinispan.container.impl.InternalDataContainer", "org.infinispan.commons.time.TimeService", "org.infinispan.persistence.spi.MarshallableEntryFactory", "org.infinispan.distribution.DistributionManager", "org.infinispan.distribution.ch.KeyPartitioner")) {
         protected void wire(PassivationManagerImpl instance, WireContext context, boolean start) {
            instance.persistenceManager = context.get("org.infinispan.persistence.manager.PersistenceManager", org.infinispan.persistence.manager.PersistenceManager.class, start);
            instance.notifier = context.get("org.infinispan.notifications.cachelistener.CacheNotifier", org.infinispan.notifications.cachelistener.CacheNotifier.class, start);
            instance.cfg = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
            instance.container = context.get("org.infinispan.container.impl.InternalDataContainer", org.infinispan.container.impl.InternalDataContainer.class, start);
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
            instance.marshalledEntryFactory = context.get("org.infinispan.persistence.spi.MarshallableEntryFactory", org.infinispan.persistence.spi.MarshallableEntryFactory.class, start);
            instance.distributionManager = context.get("org.infinispan.distribution.DistributionManager", org.infinispan.distribution.DistributionManager.class, start);
            instance.keyPartitioner = context.get("org.infinispan.distribution.ch.KeyPartitioner", org.infinispan.distribution.ch.KeyPartitioner.class, start);
         }

         protected void start(PassivationManagerImpl instance) throws Exception {
            instance.start();
         }

      });

      builder.registerMBeanMetadata("org.infinispan.eviction.impl.PassivationManagerImpl",
         MBeanMetadata.of("Passivation", "Component that handles passivating entries to a CacheStore on eviction.", "org.infinispan.eviction.impl.AbstractPassivationManager"
      ));

//start org.infinispan.eviction.impl.PassivationManagerStub
      builder.registerComponentAccessor("org.infinispan.eviction.impl.PassivationManagerStub",
         Collections.emptyList(),
         new ComponentAccessor<PassivationManagerStub>("org.infinispan.eviction.impl.PassivationManagerStub",
            1, true, "org.infinispan.eviction.impl.AbstractPassivationManager",
            Collections.emptyList()));

      builder.registerMBeanMetadata("org.infinispan.eviction.impl.PassivationManagerStub",
         MBeanMetadata.of("Passivation", "Component that handles passivating entries to a CacheStore on eviction.", "org.infinispan.eviction.impl.AbstractPassivationManager"
      ));

//start org.infinispan.eviction.impl.ActivationManager
      builder.registerComponentAccessor("org.infinispan.eviction.impl.ActivationManager",
         Collections.emptyList(),
         new ComponentAccessor<ActivationManager>("org.infinispan.eviction.impl.ActivationManager",
            1, false, null,
            Collections.emptyList()));

//end
   }
}
