package org.infinispan.remoting.inboundhandler;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.800424Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.remoting.inboundhandler.NonTxPerCacheInboundInvocationHandler
      builder.registerComponentAccessor("org.infinispan.remoting.inboundhandler.NonTxPerCacheInboundInvocationHandler",
         Collections.emptyList(),
         new ComponentAccessor<NonTxPerCacheInboundInvocationHandler>("org.infinispan.remoting.inboundhandler.NonTxPerCacheInboundInvocationHandler",
            1, false, "org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler",
            Arrays.asList("org.infinispan.util.concurrent.locks.LockManager", "org.infinispan.distribution.DistributionManager")) {
         protected void wire(NonTxPerCacheInboundInvocationHandler instance, WireContext context, boolean start) {
            instance.lockManager = context.get("org.infinispan.util.concurrent.locks.LockManager", org.infinispan.util.concurrent.locks.LockManager.class, start);
            instance.distributionManager = context.get("org.infinispan.distribution.DistributionManager", org.infinispan.distribution.DistributionManager.class, start);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.remoting.inboundhandler.NonTxPerCacheInboundInvocationHandler",
         MBeanMetadata.of("InboundInvocationHandler", "Handles all the remote requests.", "org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler"
      ));

//start org.infinispan.remoting.inboundhandler.TrianglePerCacheInboundInvocationHandler
      builder.registerComponentAccessor("org.infinispan.remoting.inboundhandler.TrianglePerCacheInboundInvocationHandler",
         Collections.emptyList(),
         new ComponentAccessor<TrianglePerCacheInboundInvocationHandler>("org.infinispan.remoting.inboundhandler.TrianglePerCacheInboundInvocationHandler",
            1, false, "org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler",
            Arrays.asList("org.infinispan.util.concurrent.locks.LockManager", "org.infinispan.distribution.DistributionManager", "org.infinispan.distribution.TriangleOrderManager", "org.infinispan.remoting.rpc.RpcManager", "org.infinispan.util.concurrent.CommandAckCollector", "org.infinispan.commands.CommandsFactory")) {
         protected void wire(TrianglePerCacheInboundInvocationHandler instance, WireContext context, boolean start) {
            instance.lockManager = context.get("org.infinispan.util.concurrent.locks.LockManager", org.infinispan.util.concurrent.locks.LockManager.class, start);
            instance.distributionManager = context.get("org.infinispan.distribution.DistributionManager", org.infinispan.distribution.DistributionManager.class, start);
            instance.triangleOrderManager = context.get("org.infinispan.distribution.TriangleOrderManager", org.infinispan.distribution.TriangleOrderManager.class, start);
            instance.rpcManager = context.get("org.infinispan.remoting.rpc.RpcManager", org.infinispan.remoting.rpc.RpcManager.class, start);
            instance.commandAckCollector = context.get("org.infinispan.util.concurrent.CommandAckCollector", org.infinispan.util.concurrent.CommandAckCollector.class, start);
            instance.commandsFactory = context.get("org.infinispan.commands.CommandsFactory", org.infinispan.commands.CommandsFactory.class, start);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.remoting.inboundhandler.TrianglePerCacheInboundInvocationHandler",
         MBeanMetadata.of("InboundInvocationHandler", "Handles all the remote requests.", "org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler"
      ));

//start org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler
      builder.registerComponentAccessor("org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler",
         Collections.emptyList(),
         new ComponentAccessor<BasePerCacheInboundInvocationHandler>("org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler",
            1, false, null,
            Arrays.asList("org.infinispan.executors.blocking", "org.infinispan.executors.non-blocking", "org.infinispan.statetransfer.StateTransferLock", "org.infinispan.remoting.responses.ResponseGenerator", "org.infinispan.factories.ComponentRegistry", "org.infinispan.configuration.cache.Configuration")) {
         protected void wire(BasePerCacheInboundInvocationHandler instance, WireContext context, boolean start) {
            instance.blockingExecutor = context.get("org.infinispan.executors.blocking", org.infinispan.util.concurrent.BlockingTaskAwareExecutorService.class, start);
            instance.nonBlockingExecutor = context.get("org.infinispan.executors.non-blocking", org.infinispan.util.concurrent.BlockingTaskAwareExecutorService.class, start);
            instance.stateTransferLock = context.get("org.infinispan.statetransfer.StateTransferLock", org.infinispan.statetransfer.StateTransferLock.class, start);
            instance.responseGenerator = context.get("org.infinispan.remoting.responses.ResponseGenerator", org.infinispan.remoting.responses.ResponseGenerator.class, start);
            instance.componentRegistry = context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start);
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
         }

         protected void start(BasePerCacheInboundInvocationHandler instance) throws Exception {
            instance.start();
         }

         protected void stop(BasePerCacheInboundInvocationHandler instance) throws Exception {
            instance.stop();
         }

      });

      builder.registerMBeanMetadata("org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler",
         MBeanMetadata.of("InboundInvocationHandler", "Handles all the remote requests.", null,
            new AttributeMetadata("statisticsEnabled", "Enables or disables the gathering of statistics by this component", true, true, "boolean", true, null, null),
            new AttributeMetadata("xSiteRequestsReceived", "Returns the number of cross-site requests received by this node", false, true, "long", false, (java.util.function.Function<org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler, ?>) org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler::getXSiteRequestsReceived, null),
            new OperationMetadata("resetStatistics", "", "Resets statistics gathered by this component", "void"
            )
      ));

//start org.infinispan.remoting.inboundhandler.GlobalInboundInvocationHandler
      builder.registerComponentAccessor("org.infinispan.remoting.inboundhandler.GlobalInboundInvocationHandler",
         Collections.emptyList(),
         new ComponentAccessor<GlobalInboundInvocationHandler>("org.infinispan.remoting.inboundhandler.GlobalInboundInvocationHandler",
            0, false, null,
            Arrays.asList("org.infinispan.executors.blocking", "org.infinispan.factories.GlobalComponentRegistry", "org.infinispan.notifications.cachemanagerlistener.CacheManagerNotifier")) {
         protected void wire(GlobalInboundInvocationHandler instance, WireContext context, boolean start) {
            instance.blockingExecutor = context.get("org.infinispan.executors.blocking", java.util.concurrent.ExecutorService.class, start);
            instance.globalComponentRegistry = context.get("org.infinispan.factories.GlobalComponentRegistry", org.infinispan.factories.GlobalComponentRegistry.class, start);
            instance.managerNotifier = context.get("org.infinispan.notifications.cachemanagerlistener.CacheManagerNotifier", org.infinispan.notifications.cachemanagerlistener.CacheManagerNotifier.class, start);
         }

         protected void start(GlobalInboundInvocationHandler instance) throws Exception {
            instance.start();
         }

         protected void stop(GlobalInboundInvocationHandler instance) throws Exception {
            instance.stop();
         }

      });

//start org.infinispan.remoting.inboundhandler.TxPerCacheInboundInvocationHandler
      builder.registerComponentAccessor("org.infinispan.remoting.inboundhandler.TxPerCacheInboundInvocationHandler",
         Collections.emptyList(),
         new ComponentAccessor<TxPerCacheInboundInvocationHandler>("org.infinispan.remoting.inboundhandler.TxPerCacheInboundInvocationHandler",
            1, false, "org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler",
            Collections.emptyList()));

      builder.registerMBeanMetadata("org.infinispan.remoting.inboundhandler.TxPerCacheInboundInvocationHandler",
         MBeanMetadata.of("InboundInvocationHandler", "Handles all the remote requests.", "org.infinispan.remoting.inboundhandler.BasePerCacheInboundInvocationHandler"
      ));

//end
   }
}
