package org.infinispan.stats.impl;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.845381Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.stats.impl.ClusterCacheStatsFactory
      builder.registerComponentAccessor("org.infinispan.stats.impl.ClusterCacheStatsFactory",
         Arrays.asList("org.infinispan.stats.ClusterCacheStats"),
         new ComponentAccessor<ClusterCacheStatsFactory>("org.infinispan.stats.impl.ClusterCacheStatsFactory",
            1, false, "org.infinispan.factories.AbstractNamedCacheComponentFactory",
            Collections.emptyList()) {
         protected ClusterCacheStatsFactory newInstance() {
            return new ClusterCacheStatsFactory();
         }

      });

//start org.infinispan.stats.impl.StatsCollector
      builder.registerComponentAccessor("org.infinispan.stats.impl.StatsCollector",
         Collections.emptyList(),
         new ComponentAccessor<StatsCollector>("org.infinispan.stats.impl.StatsCollector",
            1, false, null,
            Arrays.asList("org.infinispan.commons.time.TimeService", "org.infinispan.container.impl.InternalDataContainer", "org.infinispan.container.offheap.OffHeapMemoryAllocator", "org.infinispan.configuration.cache.Configuration", "org.infinispan.factories.ComponentRegistry")) {
         protected void wire(StatsCollector instance, WireContext context, boolean start) {
            instance.cache = context.getLazy("org.infinispan.AdvancedCache", org.infinispan.AdvancedCache.class, start);
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
            instance.dataContainer = context.get("org.infinispan.container.impl.InternalDataContainer", org.infinispan.container.impl.InternalDataContainer.class, start);
            instance.allocator = context.get("org.infinispan.container.offheap.OffHeapMemoryAllocator", org.infinispan.container.offheap.OffHeapMemoryAllocator.class, start);
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
            instance.componentRegistry = context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start);
         }

         protected void start(StatsCollector instance) throws Exception {
            instance.start();
         }

      });

      builder.registerMBeanMetadata("org.infinispan.stats.impl.StatsCollector",
         MBeanMetadata.of("Statistics", "General statistics such as timings, hit/miss ratio, etc.", null,
            new AttributeMetadata("hits", "Number of cache attribute hits", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getHits, null),
            new AttributeMetadata("misses", "Number of cache attribute misses", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getMisses, null),
            new AttributeMetadata("removeHits", "Number of cache removal hits", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getRemoveHits, null),
            new AttributeMetadata("removeMisses", "Number of cache removals where keys were not found", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getRemoveMisses, null),
            new AttributeMetadata("stores", "Number of cache attribute put operations", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getStores, null),
            new AttributeMetadata("evictions", "Number of cache eviction operations", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getEvictions, null),
            new AttributeMetadata("hitRatio", "Percentage hit/(hit+miss) ratio for the cache", false, true, "double", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getHitRatio, null),
            new AttributeMetadata("readWriteRatio", "Read/writes ratio for the cache", false, true, "double", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getReadWriteRatio, null),
            new AttributeMetadata("averageReadTime", "Average number of milliseconds for a read operation on the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getAverageReadTime, null),
            new AttributeMetadata("averageReadTimeNanos", "Average number of nanoseconds for a read operation on the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getAverageReadTimeNanos, null),
            new AttributeMetadata("averageWriteTime", "Average number of milliseconds for a write operation in the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getAverageWriteTime, null),
            new AttributeMetadata("averageWriteTimeNanos", "Average number of nanoseconds for a write operation in the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getAverageWriteTimeNanos, null),
            new AttributeMetadata("averageRemoveTime", "Average number of milliseconds for a remove operation in the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getAverageRemoveTime, null),
            new AttributeMetadata("averageRemoveTimeNanos", "Average number of nanoseconds for a remove operation in the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getAverageRemoveTimeNanos, null),
            new AttributeMetadata("requiredMinimumNumberOfNodes", "Required minimum number of nodes to hold current cache data", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getRequiredMinimumNumberOfNodes, null),
            new AttributeMetadata("statisticsEnabled", "Enables or disables the gathering of statistics by this component", true, true, "boolean", false, null, null),
            new AttributeMetadata("numberOfEntries", "Number of entries in the cache including passivated entries", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getNumberOfEntries, null),
            new AttributeMetadata("currentNumberOfEntriesInMemory", "Number of entries currently in-memory excluding expired entries", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getCurrentNumberOfEntriesInMemory, null),
            new AttributeMetadata("timeSinceStart", "Number of seconds since cache started", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getTimeSinceStart, null),
            new AttributeMetadata("timeSinceReset", "Number of seconds since the cache statistics were last reset", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getTimeSinceReset, null),
            new AttributeMetadata("dataMemoryUsed", "Amount of memory in bytes allocated for use in eviction for data in the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getDataMemoryUsed, null),
            new AttributeMetadata("offHeapMemoryUsed", "Amount off-heap memory used by this cache (bytes)", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.StatsCollector, ?>) org.infinispan.stats.impl.StatsCollector::getOffHeapMemoryUsed, null),
            new OperationMetadata("resetStatistics", "", "Resets statistics gathered by this component", "void"
            )
      ));

//start org.infinispan.stats.impl.CacheContainerStatsImpl
      builder.registerComponentAccessor("org.infinispan.stats.impl.CacheContainerStatsImpl",
         Collections.emptyList(),
         new ComponentAccessor<CacheContainerStatsImpl>("org.infinispan.stats.impl.CacheContainerStatsImpl",
            0, false, null,
            Arrays.asList("org.infinispan.commons.time.TimeService")) {
         protected void wire(CacheContainerStatsImpl instance, WireContext context, boolean start) {
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
         }

         protected void start(CacheContainerStatsImpl instance) throws Exception {
            instance.start();
         }

      });

      builder.registerMBeanMetadata("org.infinispan.stats.impl.CacheContainerStatsImpl",
         MBeanMetadata.of("CacheContainerStats", "General cache container statistics such as timings, hit/miss ratio, etc. for a single node.", null,
            new AttributeMetadata("statisticsEnabled", "Enables or disables the gathering of statistics by this component", true, true, "boolean", true, null, null),
            new AttributeMetadata("averageReadTime", "Cache container total average number of milliseconds for all read operation in this cache container", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getAverageReadTime, null),
            new AttributeMetadata("averageReadTimeNanos", "Cache container total average number of nanoseconds for all read operation in this cache container", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getAverageReadTimeNanos, null),
            new AttributeMetadata("requiredMinimumNumberOfNodes", "Required minimum number of nodes to hold current cache data", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getRequiredMinimumNumberOfNodes, null),
            new AttributeMetadata("averageRemoveTime", "Cache container total average number of milliseconds for all remove operation in this cache container", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getAverageRemoveTime, null),
            new AttributeMetadata("averageRemoveTimeNanos", "Cache container total average number of nanoseconds for all remove operation in this cache container", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getAverageRemoveTimeNanos, null),
            new AttributeMetadata("averageWriteTime", "Cache container average number of milliseconds for all write operation in this cache container", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getAverageWriteTime, null),
            new AttributeMetadata("averageWriteTimeNanos", "Cache container average number of nanoseconds for all write operation in this cache container", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getAverageWriteTimeNanos, null),
            new AttributeMetadata("evictions", "Cache container total number of cache eviction operations", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getEvictions, null),
            new AttributeMetadata("hits", "Cache container total number of cache attribute hits", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getHits, null),
            new AttributeMetadata("hitRatio", "Cache container total percentage hit/(hit+miss) ratio for this cache", false, true, "double", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getHitRatio, null),
            new AttributeMetadata("misses", "Cache container total number of cache attribute misses", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getMisses, null),
            new AttributeMetadata("numberOfEntries", "Cache container total number of entries currently in all caches from this cache container", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getNumberOfEntries, null),
            new AttributeMetadata("currentNumberOfEntriesInMemory", "Cache container total number of entries currently in-memory for all caches in this cache container", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getCurrentNumberOfEntriesInMemory, null),
            new AttributeMetadata("readWriteRatio", "Cache container read/writes ratio in all caches from this cache container", false, true, "double", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getReadWriteRatio, null),
            new AttributeMetadata("removeHits", "Cache container total number of cache removal hits", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getRemoveHits, null),
            new AttributeMetadata("removeMisses", "Cache container total number of cache removals where keys were not found", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getRemoveMisses, null),
            new AttributeMetadata("stores", "Cache container total number of cache put operations", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getStores, null),
            new AttributeMetadata("timeSinceReset", "Number of seconds since the cache container statistics were last reset", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getTimeSinceReset, null),
            new AttributeMetadata("timeSinceStart", "Number of seconds since cache started", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getTimeSinceStart, null),
            new AttributeMetadata("dataMemoryUsed", "Amount in bytes of memory used in a given cache container for entries with eviction", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getDataMemoryUsed, null),
            new AttributeMetadata("offHeapMemoryUsed", "Amount in bytes of off-heap memory used by this cache container", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.CacheContainerStatsImpl, ?>) org.infinispan.stats.impl.CacheContainerStatsImpl::getOffHeapMemoryUsed, null)
      ));

//start org.infinispan.stats.impl.ClusterCacheStatsImpl
      builder.registerComponentAccessor("org.infinispan.stats.impl.ClusterCacheStatsImpl",
         Collections.emptyList(),
         new ComponentAccessor<ClusterCacheStatsImpl>("org.infinispan.stats.impl.ClusterCacheStatsImpl",
            1, false, "org.infinispan.stats.impl.AbstractClusterStats",
            Arrays.asList("org.infinispan.Cache", "org.infinispan.configuration.cache.Configuration")) {
         protected void wire(ClusterCacheStatsImpl instance, WireContext context, boolean start) {
            instance.injectDependencies(
               context.get("org.infinispan.Cache", org.infinispan.Cache.class, start),               context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start));
         }

      });

      builder.registerMBeanMetadata("org.infinispan.stats.impl.ClusterCacheStatsImpl",
         MBeanMetadata.of("ClusterCacheStats", "General cluster statistics such as timings, hit/miss ratio, etc. for a cache.", "org.infinispan.stats.impl.AbstractClusterStats",
            new AttributeMetadata("averageReadTime", "Cluster wide total average number of milliseconds for a read operation on the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getAverageReadTime, null),
            new AttributeMetadata("averageReadTimeNanos", "Cluster wide total average number of nanoseconds for a read operation on the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getAverageReadTimeNanos, null),
            new AttributeMetadata("averageRemoveTime", "Cluster wide total average number of milliseconds for a remove operation in the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getAverageRemoveTime, null),
            new AttributeMetadata("averageRemoveTimeNanos", "Cluster wide total average number of nanoseconds for a remove operation in the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getAverageRemoveTimeNanos, null),
            new AttributeMetadata("averageWriteTime", "Cluster wide average number of milliseconds for a write operation in the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getAverageWriteTime, null),
            new AttributeMetadata("averageWriteTimeNanos", "Cluster wide average number of nanoseconds for a write operation in the cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getAverageWriteTimeNanos, null),
            new AttributeMetadata("requiredMinimumNumberOfNodes", "Required minimum number of nodes to hold current cache data", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getRequiredMinimumNumberOfNodes, null),
            new AttributeMetadata("evictions", "Cluster wide total number of cache eviction operations", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getEvictions, null),
            new AttributeMetadata("hits", "Cluster wide total number of cache attribute hits", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getHits, null),
            new AttributeMetadata("hitRatio", "Cluster wide total percentage hit/(hit+miss) ratio for this cache", false, true, "double", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getHitRatio, null),
            new AttributeMetadata("misses", "Cluster wide total number of cache attribute misses", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getMisses, null),
            new AttributeMetadata("numberOfEntries", "Cluster wide total number of entries currently in the cache, including passivated entries", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getNumberOfEntries, null),
            new AttributeMetadata("currentNumberOfEntriesInMemory", "Cluster wide total number of entries currently stored in-memory", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getCurrentNumberOfEntriesInMemory, null),
            new AttributeMetadata("readWriteRatio", "Cluster wide read/writes ratio for the cache", false, true, "double", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getReadWriteRatio, null),
            new AttributeMetadata("removeHits", "Cluster wide total number of cache removal hits", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getRemoveHits, null),
            new AttributeMetadata("removeMisses", "Cluster wide total number of cache removals where keys were not found", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getRemoveMisses, null),
            new AttributeMetadata("stores", "Cluster wide total number of cache put operations", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getStores, null),
            new AttributeMetadata("timeSinceStart", "Number of seconds since the first cache node started", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getTimeSinceStart, null),
            new AttributeMetadata("dataMemoryUsed", "Amount in bytes of memory used across the cluster for entries in this cache with eviction", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getDataMemoryUsed, null),
            new AttributeMetadata("offHeapMemoryUsed", "Amount in bytes of off-heap memory used across the cluster for this cache", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getOffHeapMemoryUsed, null),
            new AttributeMetadata("numberOfLocksAvailable", "Total number of exclusive locks available in the cluster", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getNumberOfLocksAvailable, null),
            new AttributeMetadata("numberOfLocksHeld", "Total number of locks held in the cluster", false, true, "int", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getNumberOfLocksHeld, null),
            new AttributeMetadata("invalidations", "The total number of invalidations in the cluster", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getInvalidations, null),
            new AttributeMetadata("activations", "The total number of activations in the cluster", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getActivations, null),
            new AttributeMetadata("passivations", "The total number of passivations in the cluster", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getPassivations, null),
            new AttributeMetadata("cacheLoaderLoads", "The total number of cacheloader load operations in the cluster", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getCacheLoaderLoads, null),
            new AttributeMetadata("cacheLoaderMisses", "The total number of cacheloader load misses in the cluster", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getCacheLoaderMisses, null),
            new AttributeMetadata("storeWrites", "The total number of cachestore store operations in the cluster", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterCacheStatsImpl, ?>) org.infinispan.stats.impl.ClusterCacheStatsImpl::getStoreWrites, null)
      ));

//start org.infinispan.stats.impl.StatsCollector.Factory
      builder.registerComponentAccessor("org.infinispan.stats.impl.StatsCollector$Factory",
         Arrays.asList("org.infinispan.stats.impl.StatsCollector"),
         new ComponentAccessor<StatsCollector.Factory>("org.infinispan.stats.impl.StatsCollector$Factory",
            1, true, "org.infinispan.factories.AbstractNamedCacheComponentFactory",
            Collections.emptyList()) {
         protected StatsCollector.Factory newInstance() {
            return new StatsCollector.Factory();
         }

      });

//start org.infinispan.stats.impl.ClusterContainerStatsImpl
      builder.registerComponentAccessor("org.infinispan.stats.impl.ClusterContainerStatsImpl",
         Collections.emptyList(),
         new ComponentAccessor<ClusterContainerStatsImpl>("org.infinispan.stats.impl.ClusterContainerStatsImpl",
            0, false, "org.infinispan.stats.impl.AbstractClusterStats",
            Arrays.asList("org.infinispan.manager.EmbeddedCacheManager", "org.infinispan.configuration.global.GlobalConfiguration")) {
         protected void wire(ClusterContainerStatsImpl instance, WireContext context, boolean start) {
            instance.init(
               context.get("org.infinispan.manager.EmbeddedCacheManager", org.infinispan.manager.EmbeddedCacheManager.class, start),               context.get("org.infinispan.configuration.global.GlobalConfiguration", org.infinispan.configuration.global.GlobalConfiguration.class, start));
         }

      });

      builder.registerMBeanMetadata("org.infinispan.stats.impl.ClusterContainerStatsImpl",
         MBeanMetadata.of("ClusterContainerStats", "General container statistics aggregated across the cluster.", "org.infinispan.stats.impl.AbstractClusterStats",
            new AttributeMetadata("memoryAvailable", "The maximum amount of free memory in bytes across the cluster JVMs", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterContainerStatsImpl, ?>) org.infinispan.stats.impl.ClusterContainerStatsImpl::getMemoryAvailable, null),
            new AttributeMetadata("memoryMax", "The maximum amount of memory that JVMs across the cluster will attempt to utilise in bytes", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterContainerStatsImpl, ?>) org.infinispan.stats.impl.ClusterContainerStatsImpl::getMemoryMax, null),
            new AttributeMetadata("memoryTotal", "The total amount of memory in the JVMs across the cluster in bytes", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterContainerStatsImpl, ?>) org.infinispan.stats.impl.ClusterContainerStatsImpl::getMemoryTotal, null),
            new AttributeMetadata("memoryUsed", "The amount of memory used by JVMs across the cluster in bytes", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.ClusterContainerStatsImpl, ?>) org.infinispan.stats.impl.ClusterContainerStatsImpl::getMemoryUsed, null)
      ));

//start org.infinispan.stats.impl.ClusterContainerStatsFactory
      builder.registerComponentAccessor("org.infinispan.stats.impl.ClusterContainerStatsFactory",
         Arrays.asList("org.infinispan.stats.ClusterContainerStats"),
         new ComponentAccessor<ClusterContainerStatsFactory>("org.infinispan.stats.impl.ClusterContainerStatsFactory",
            0, false, "org.infinispan.factories.AbstractComponentFactory",
            Collections.emptyList()) {
         protected ClusterContainerStatsFactory newInstance() {
            return new ClusterContainerStatsFactory();
         }

      });

//start org.infinispan.stats.impl.AbstractClusterStats
      builder.registerComponentAccessor("org.infinispan.stats.impl.AbstractClusterStats",
         Collections.emptyList(),
         new ComponentAccessor<AbstractClusterStats>("org.infinispan.stats.impl.AbstractClusterStats",
            2, false, null,
            Arrays.asList("org.infinispan.commons.time.TimeService")) {
         protected void wire(AbstractClusterStats instance, WireContext context, boolean start) {
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
         }

         protected void start(AbstractClusterStats instance) throws Exception {
            instance.start();
         }

      });

      builder.registerMBeanMetadata("org.infinispan.stats.impl.AbstractClusterStats",
         MBeanMetadata.of("", "", null,
            new AttributeMetadata("staleStatsThreshold", "Gets the threshold for cluster wide stats refresh (milliseconds)", true, true, "long", false, null, null),
            new AttributeMetadata("timeSinceReset", "Number of seconds since the cluster-wide statistics were last reset", false, true, "long", false, (java.util.function.Function<org.infinispan.stats.impl.AbstractClusterStats, ?>) org.infinispan.stats.impl.AbstractClusterStats::getTimeSinceReset, null),
            new AttributeMetadata("statisticsEnabled", "Enables or disables the gathering of statistics by this component", true, true, "boolean", true, null, null),
            new OperationMetadata("resetStatistics", "", "Resets statistics gathered by this component", "void"
            )
      ));

//end
   }
}
