package org.infinispan.transaction.impl;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.849404Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.transaction.impl.ClusteredTransactionOriginatorChecker
      builder.registerComponentAccessor("org.infinispan.transaction.impl.ClusteredTransactionOriginatorChecker",
         Collections.emptyList(),
         new ComponentAccessor<ClusteredTransactionOriginatorChecker>("org.infinispan.transaction.impl.ClusteredTransactionOriginatorChecker",
            1, false, null,
            Arrays.asList("org.infinispan.remoting.rpc.RpcManager")) {
         protected void wire(ClusteredTransactionOriginatorChecker instance, WireContext context, boolean start) {
            instance.rpcManager = context.get("org.infinispan.remoting.rpc.RpcManager", org.infinispan.remoting.rpc.RpcManager.class, start);
         }

      });

//start org.infinispan.transaction.impl.TransactionOriginatorChecker
      builder.registerComponentAccessor("org.infinispan.transaction.impl.TransactionOriginatorChecker",
         Collections.emptyList(),
         new ComponentAccessor<TransactionOriginatorChecker>("org.infinispan.transaction.impl.TransactionOriginatorChecker",
            1, false, null,
            Collections.emptyList()));

//start org.infinispan.transaction.impl.TransactionCoordinator
      builder.registerComponentAccessor("org.infinispan.transaction.impl.TransactionCoordinator",
         Collections.emptyList(),
         new ComponentAccessor<TransactionCoordinator>("org.infinispan.transaction.impl.TransactionCoordinator",
            1, false, null,
            Arrays.asList("org.infinispan.commands.CommandsFactory", "org.infinispan.configuration.cache.Configuration")) {
         protected void wire(TransactionCoordinator instance, WireContext context, boolean start) {
            instance.commandsFactory = context.get("org.infinispan.commands.CommandsFactory", org.infinispan.commands.CommandsFactory.class, start);
            instance.icf = context.getLazy("org.infinispan.context.InvocationContextFactory", org.infinispan.context.InvocationContextFactory.class, start);
            instance.invoker = context.getLazy("org.infinispan.interceptors.AsyncInterceptorChain", org.infinispan.interceptors.AsyncInterceptorChain.class, start);
            instance.txTable = context.getLazy("org.infinispan.transaction.impl.TransactionTable", org.infinispan.transaction.impl.TransactionTable.class, start);
            instance.recoveryManager = context.getLazy("org.infinispan.transaction.xa.recovery.RecoveryManager", org.infinispan.transaction.xa.recovery.RecoveryManager.class, start);
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
         }

         protected void start(TransactionCoordinator instance) throws Exception {
            instance.setStartStatus();
            instance.start();
         }

         protected void stop(TransactionCoordinator instance) throws Exception {
            instance.setStopStatus();
         }

      });

//start org.infinispan.transaction.impl.TransactionTable
      builder.registerComponentAccessor("org.infinispan.transaction.impl.TransactionTable",
         Collections.emptyList(),
         new ComponentAccessor<TransactionTable>("org.infinispan.transaction.impl.TransactionTable",
            1, false, null,
            Arrays.asList("cacheName", "org.infinispan.configuration.cache.Configuration", "org.infinispan.transaction.impl.TransactionCoordinator", "org.infinispan.transaction.xa.TransactionFactory", "org.infinispan.remoting.rpc.RpcManager", "org.infinispan.commands.CommandsFactory", "org.infinispan.interceptors.locking.ClusteringDependentLogic", "org.infinispan.notifications.cachelistener.CacheNotifier", "javax.transaction.TransactionSynchronizationRegistry", "org.infinispan.commons.time.TimeService", "org.infinispan.notifications.cachemanagerlistener.CacheManagerNotifier", "org.infinispan.partitionhandling.impl.PartitionHandlingManager", "org.infinispan.executors.timeout", "org.infinispan.transaction.impl.TransactionOriginatorChecker", "javax.transaction.TransactionManager", "org.infinispan.factories.ComponentRegistry")) {
         protected void wire(TransactionTable instance, WireContext context, boolean start) {
            instance.cacheName = context.get("cacheName", java.lang.String.class, start);
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
            instance.txCoordinator = context.get("org.infinispan.transaction.impl.TransactionCoordinator", org.infinispan.transaction.impl.TransactionCoordinator.class, start);
            instance.txFactory = context.get("org.infinispan.transaction.xa.TransactionFactory", org.infinispan.transaction.xa.TransactionFactory.class, start);
            instance.rpcManager = context.get("org.infinispan.remoting.rpc.RpcManager", org.infinispan.remoting.rpc.RpcManager.class, start);
            instance.commandsFactory = context.get("org.infinispan.commands.CommandsFactory", org.infinispan.commands.CommandsFactory.class, start);
            instance.clusteringLogic = context.get("org.infinispan.interceptors.locking.ClusteringDependentLogic", org.infinispan.interceptors.locking.ClusteringDependentLogic.class, start);
            instance.notifier = context.get("org.infinispan.notifications.cachelistener.CacheNotifier", org.infinispan.notifications.cachelistener.CacheNotifier.class, start);
            instance.transactionSynchronizationRegistry = context.get("javax.transaction.TransactionSynchronizationRegistry", javax.transaction.TransactionSynchronizationRegistry.class, start);
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
            instance.cacheManagerNotifier = context.get("org.infinispan.notifications.cachemanagerlistener.CacheManagerNotifier", org.infinispan.notifications.cachemanagerlistener.CacheManagerNotifier.class, start);
            instance.partitionHandlingManager = context.get("org.infinispan.partitionhandling.impl.PartitionHandlingManager", org.infinispan.partitionhandling.impl.PartitionHandlingManager.class, start);
            instance.timeoutExecutor = context.get("org.infinispan.executors.timeout", java.util.concurrent.ScheduledExecutorService.class, start);
            instance.transactionOriginatorChecker = context.get("org.infinispan.transaction.impl.TransactionOriginatorChecker", org.infinispan.transaction.impl.TransactionOriginatorChecker.class, start);
            instance.transactionManager = context.get("javax.transaction.TransactionManager", javax.transaction.TransactionManager.class, start);
            instance.componentRegistry = context.get("org.infinispan.factories.ComponentRegistry", org.infinispan.factories.ComponentRegistry.class, start);
         }

         protected void start(TransactionTable instance) throws Exception {
            instance.start();
         }

         protected void stop(TransactionTable instance) throws Exception {
            instance.stop();
         }

      });

//end
   }
}
