package org.infinispan.transaction.xa.recovery;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.831561Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.transaction.xa.recovery.RecoveryAdminOperations
      builder.registerComponentAccessor("org.infinispan.transaction.xa.recovery.RecoveryAdminOperations",
         Collections.emptyList(),
         new ComponentAccessor<RecoveryAdminOperations>("org.infinispan.transaction.xa.recovery.RecoveryAdminOperations",
            1, true, null,
            Arrays.asList("org.infinispan.transaction.xa.recovery.RecoveryManager")) {
         protected void wire(RecoveryAdminOperations instance, WireContext context, boolean start) {
            instance.recoveryManager = context.get("org.infinispan.transaction.xa.recovery.RecoveryManager", org.infinispan.transaction.xa.recovery.RecoveryManager.class, start);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.transaction.xa.recovery.RecoveryAdminOperations",
         MBeanMetadata.of("RecoveryAdmin", "Exposes tooling for handling transaction recovery.", null,
            new OperationMetadata("showInDoubtTransactions", "", "Shows all the prepared transactions for which the originating node crashed", "java.lang.String"
            ),
            new OperationMetadata("forceCommit", "", "Forces the commit of an in-doubt transaction", "java.lang.String",
               new OperationParameterMetadata("internalId", "long", "The internal identifier of the transaction")
            ),
            new OperationMetadata("forceCommit", "forceCommit", "Forces the commit of an in-doubt transaction", "java.lang.String",
               new OperationParameterMetadata("formatId", "int", "The formatId of the transaction"),
               new OperationParameterMetadata("globalTxId", "byte[]", "The globalTxId of the transaction"),
               new OperationParameterMetadata("branchQualifier", "byte[]", "The branchQualifier of the transaction")
            ),
            new OperationMetadata("forceRollback", "", "Forces the rollback of an in-doubt transaction", "java.lang.String",
               new OperationParameterMetadata("internalId", "long", "The internal identifier of the transaction")
            ),
            new OperationMetadata("forceRollback", "forceRollback", "Forces the rollback of an in-doubt transaction", "java.lang.String",
               new OperationParameterMetadata("formatId", "int", "The formatId of the transaction"),
               new OperationParameterMetadata("globalTxId", "byte[]", "The globalTxId of the transaction"),
               new OperationParameterMetadata("branchQualifier", "byte[]", "The branchQualifier of the transaction")
            ),
            new OperationMetadata("forget", "forget", "Removes recovery info for the given transaction.", "java.lang.String",
               new OperationParameterMetadata("formatId", "int", "The formatId of the transaction"),
               new OperationParameterMetadata("globalTxId", "byte[]", "The globalTxId of the transaction"),
               new OperationParameterMetadata("branchQualifier", "byte[]", "The branchQualifier of the transaction")
            ),
            new OperationMetadata("forget", "", "Removes recovery info for the given transaction.", "java.lang.String",
               new OperationParameterMetadata("internalId", "long", "The internal identifier of the transaction")
            )
      ));

//start org.infinispan.transaction.xa.recovery.RecoveryManagerImpl
      builder.registerComponentAccessor("org.infinispan.transaction.xa.recovery.RecoveryManagerImpl",
         Collections.emptyList(),
         new ComponentAccessor<RecoveryManagerImpl>("org.infinispan.transaction.xa.recovery.RecoveryManagerImpl",
            1, false, null,
            Arrays.asList("org.infinispan.remoting.rpc.RpcManager", "org.infinispan.commands.CommandsFactory", "org.infinispan.transaction.impl.TransactionCoordinator", "org.infinispan.transaction.xa.TransactionFactory")) {
         protected void wire(RecoveryManagerImpl instance, WireContext context, boolean start) {
            instance.init(
               context.get("org.infinispan.remoting.rpc.RpcManager", org.infinispan.remoting.rpc.RpcManager.class, start),               context.get("org.infinispan.commands.CommandsFactory", org.infinispan.commands.CommandsFactory.class, start),               context.getLazy("org.infinispan.transaction.impl.TransactionTable", org.infinispan.transaction.impl.TransactionTable.class, start),               context.get("org.infinispan.transaction.impl.TransactionCoordinator", org.infinispan.transaction.impl.TransactionCoordinator.class, start),               context.get("org.infinispan.transaction.xa.TransactionFactory", org.infinispan.transaction.xa.TransactionFactory.class, start));
         }

      });

//start org.infinispan.transaction.xa.recovery.RecoveryAwareTransactionTable
      builder.registerComponentAccessor("org.infinispan.transaction.xa.recovery.RecoveryAwareTransactionTable",
         Collections.emptyList(),
         new ComponentAccessor<RecoveryAwareTransactionTable>("org.infinispan.transaction.xa.recovery.RecoveryAwareTransactionTable",
            1, false, "org.infinispan.transaction.xa.XaTransactionTable",
            Collections.emptyList()));

//end
   }
}
