package org.infinispan.upgrade;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.828628Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.upgrade.RollingUpgradeManager
      builder.registerComponentAccessor("org.infinispan.upgrade.RollingUpgradeManager",
         Collections.emptyList(),
         new ComponentAccessor<RollingUpgradeManager>("org.infinispan.upgrade.RollingUpgradeManager",
            1, true, null,
            Arrays.asList("org.infinispan.Cache", "org.infinispan.commons.time.TimeService", "org.infinispan.configuration.global.GlobalConfiguration")) {
         protected void wire(RollingUpgradeManager instance, WireContext context, boolean start) {
            instance.cache = context.get("org.infinispan.Cache", org.infinispan.Cache.class, start);
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
            instance.globalConfiguration = context.get("org.infinispan.configuration.global.GlobalConfiguration", org.infinispan.configuration.global.GlobalConfiguration.class, start);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.upgrade.RollingUpgradeManager",
         MBeanMetadata.of("RollingUpgradeManager", "Handles the migration of data when upgrading between versions.", null,
            new OperationMetadata("synchronizeData", "", "Synchronizes data from source clusters to target clusters with the specified migrator.", "long",
               new OperationParameterMetadata("migratorName", "java.lang.String", "Specifies the name of the migrator to use. Set hotrod as the value unless using custom migrators.")
            ),
            new OperationMetadata("synchronizeData", "", "Synchronizes data from source clusters to target clusters with the specified migrator.", "long",
               new OperationParameterMetadata("migratorName", "java.lang.String", "Specifies the name of the migrator to use. Set hotrod as the value unless using custom migrators."),
               new OperationParameterMetadata("readBatch", "int", "Specifies how many entries to read at a time from source clusters. Default is 10000."),
               new OperationParameterMetadata("threads", "int", "Specifies the number of threads to use per node when writing data to target clusters. Defaults to number of available processors.")
            ),
            new OperationMetadata("disconnectSource", "", "Disconnects target clusters from source clusters.", "void",
               new OperationParameterMetadata("migratorName", "java.lang.String", "Specifies the name of the migrator to use. Set hotrod as the value unless using custom migrators.")
            )
      ));

//end
   }
}
