package org.infinispan.util.concurrent.locks.impl;

import java.util.Arrays;
import java.util.Collections;
import javax.annotation.Generated;

import org.infinispan.factories.impl.ComponentAccessor;
import org.infinispan.factories.impl.ModuleMetadataBuilder;
import org.infinispan.factories.impl.MBeanMetadata;
import org.infinispan.factories.impl.MBeanMetadata.AttributeMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationMetadata;
import org.infinispan.factories.impl.MBeanMetadata.OperationParameterMetadata;
import org.infinispan.factories.impl.WireContext;
import org.infinispan.lifecycle.ModuleLifecycle;

/**
 * @private 
 */
@Generated(value = "org.infinispan.component.processor.Generator", date = "2020-08-06T17:04:04.822701Z")
public final class CorePackageImpl {
   public static void registerMetadata(ModuleMetadataBuilder.ModuleBuilder builder) {
//start org.infinispan.util.concurrent.locks.impl.StripedLockContainer
      builder.registerComponentAccessor("org.infinispan.util.concurrent.locks.impl.StripedLockContainer",
         Collections.emptyList(),
         new ComponentAccessor<StripedLockContainer>("org.infinispan.util.concurrent.locks.impl.StripedLockContainer",
            1, false, null,
            Arrays.asList("org.infinispan.executors.non-blocking", "org.infinispan.commons.time.TimeService")) {
         protected void wire(StripedLockContainer instance, WireContext context, boolean start) {
            instance.inject(
               context.get("org.infinispan.executors.non-blocking", java.util.concurrent.Executor.class, start),               context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start));
         }

      });

//start org.infinispan.util.concurrent.locks.impl.DefaultLockManager
      builder.registerComponentAccessor("org.infinispan.util.concurrent.locks.impl.DefaultLockManager",
         Collections.emptyList(),
         new ComponentAccessor<DefaultLockManager>("org.infinispan.util.concurrent.locks.impl.DefaultLockManager",
            1, false, null,
            Arrays.asList("org.infinispan.util.concurrent.locks.impl.LockContainer", "org.infinispan.configuration.cache.Configuration", "org.infinispan.executors.timeout", "org.infinispan.executors.non-blocking")) {
         protected void wire(DefaultLockManager instance, WireContext context, boolean start) {
            instance.lockContainer = context.get("org.infinispan.util.concurrent.locks.impl.LockContainer", org.infinispan.util.concurrent.locks.impl.LockContainer.class, start);
            instance.configuration = context.get("org.infinispan.configuration.cache.Configuration", org.infinispan.configuration.cache.Configuration.class, start);
            instance.scheduler = context.get("org.infinispan.executors.timeout", java.util.concurrent.ScheduledExecutorService.class, start);
            instance.nonBlockingExecutor = context.get("org.infinispan.executors.non-blocking", java.util.concurrent.Executor.class, start);
         }

      });

      builder.registerMBeanMetadata("org.infinispan.util.concurrent.locks.impl.DefaultLockManager",
         MBeanMetadata.of("LockManager", "Manager that handles MVCC locks for entries", null,
            new AttributeMetadata("numberOfLocksHeld", "The number of exclusive locks that are held.", false, true, "int", false, (java.util.function.Function<org.infinispan.util.concurrent.locks.impl.DefaultLockManager, ?>) org.infinispan.util.concurrent.locks.impl.DefaultLockManager::getNumberOfLocksHeld, null),
            new AttributeMetadata("concurrencyLevel", "The concurrency level that the MVCC Lock Manager has been configured with.", false, true, "int", false, null, null),
            new AttributeMetadata("numberOfLocksAvailable", "The number of exclusive locks that are available.", false, true, "int", false, (java.util.function.Function<org.infinispan.util.concurrent.locks.impl.DefaultLockManager, ?>) org.infinispan.util.concurrent.locks.impl.DefaultLockManager::getNumberOfLocksAvailable, null)
      ));

//start org.infinispan.util.concurrent.locks.impl.DefaultPendingLockManager
      builder.registerComponentAccessor("org.infinispan.util.concurrent.locks.impl.DefaultPendingLockManager",
         Collections.emptyList(),
         new ComponentAccessor<DefaultPendingLockManager>("org.infinispan.util.concurrent.locks.impl.DefaultPendingLockManager",
            1, false, null,
            Arrays.asList("org.infinispan.transaction.impl.TransactionTable", "org.infinispan.commons.time.TimeService", "org.infinispan.distribution.DistributionManager", "org.infinispan.executors.timeout")) {
         protected void wire(DefaultPendingLockManager instance, WireContext context, boolean start) {
            instance.transactionTable = context.get("org.infinispan.transaction.impl.TransactionTable", org.infinispan.transaction.impl.TransactionTable.class, start);
            instance.timeService = context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start);
            instance.distributionManager = context.get("org.infinispan.distribution.DistributionManager", org.infinispan.distribution.DistributionManager.class, start);
            instance.timeoutExecutor = context.get("org.infinispan.executors.timeout", java.util.concurrent.ScheduledExecutorService.class, start);
         }

      });

//start org.infinispan.util.concurrent.locks.impl.PerKeyLockContainer
      builder.registerComponentAccessor("org.infinispan.util.concurrent.locks.impl.PerKeyLockContainer",
         Collections.emptyList(),
         new ComponentAccessor<PerKeyLockContainer>("org.infinispan.util.concurrent.locks.impl.PerKeyLockContainer",
            1, false, null,
            Arrays.asList("org.infinispan.executors.non-blocking", "org.infinispan.commons.time.TimeService")) {
         protected void wire(PerKeyLockContainer instance, WireContext context, boolean start) {
            instance.nonBlockingExecutor = context.get("org.infinispan.executors.non-blocking", java.util.concurrent.Executor.class, start);
            instance.inject(
               context.get("org.infinispan.commons.time.TimeService", org.infinispan.commons.time.TimeService.class, start));
         }

      });

//end
   }
}
